<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\Plugin\PluginManager;
use NoccyLabs\Plugin\Extension\SymfonyExtension;

$man = new PluginManager();

$man->setCacheDirectory(__DIR__."/cache");
$man->setDataDirectory(__DIR__."/data");
$man->addPluginDirectory(__DIR__."/plugins");
$man->addExtension(new SymfonyExtension());

$man->reload();

$man->loadPlugin("example.config");
$man->loadPlugin("example.symfony");
$man->loadPlugin("example.autoload");
try {
    $man->loadPlugin("nonexisting");
} catch (\Exception $e) {
    echo $e->getMessage()."\n";
}
